
Foreman - Feature #10180

Filter logs included in foreman-debug to certain date/day

04/17/2015 02:17 PM - Bryan Kearney

Status: New   

Priority: Normal   

Assignee:    

Category: foreman-debug   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1183997 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1183997

Description of problem:

When debugging satellite 6, foreman-debug is useful but has a limit that needs to be manually overriden of selecting the number of

lines to capture, maximum. There is no option to capture all the lines generated since a day X which would be extremely useful in

situations where the satellite was overloaded and we need to cpature logs of the action that originated the overload. The customer in

case 01335769 generated the foreman-debug but it did not capture nearly enough logs because of all the errors generated while the

satellite was overloaded. This feature would be extremely useful to technical support.

Version-Release number of selected component (if applicable):

6.0.6

Additional info:

this is opened by technical support, no customer has made this request.

History

#1 - 04/20/2015 04:58 AM - Dominic Cleal

- Subject changed from RFE : collect logs produced since a day with foreman-debug to Filter logs included in foreman-debug to certain date/day

- Category set to Packaging

#2 - 02/08/2016 01:11 PM - Bryan Kearney

- Category changed from Packaging to foreman-debug
